﻿html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;

    background-image: url('/DM_diamond_background2.svg' );
    background-repeat: no-repeat;
    background-size: 150%;
    background-position-y: 45%;
    background-attachment:fixed;
}
    @media (max-width: 640px) {
        html, body {
            background-position-x: 50%;
            background-position-y: -15%;
        }
    }
    @media print {
        html, body {
            background-image:none!important;
        }
    }

tbody td {
    padding-left: 15px!important;
}

div.patient-icon-container {
    display: inline-flex;
    margin-left: 10px;
}
    div.deceased-icon {
        display: inline-flex;
        margin-right: 2px;
        width: 15px;
        height: 15px;
        background-size: cover;
        background-image: url('/icon_deceased.svg' );
        background-size: 15px;
        background-repeat: no-repeat;
        background-position: top 0px left 0px;
    }
    div.protected-icon {
        display: inline-flex;
        margin-right: 2px;
        width: 15px;
        height: 15px;
        background-size: cover;
        background-image: url('/icon_protectedidentity.svg' );
        background-size: 15px;
        background-repeat: no-repeat;
        background-position: top 0px left 0px;
    }

div.user-icon-container {
    display: inline-flex;
    margin-right: 0px;
}
    div.person-icon {
        display: inline-flex;
        margin-right: 2px;
        width: 17px;
        height: 15px;
        background-size: cover;
        background-image: url('/ic_fluent_person_20_filled.svg' );
        background-size: 18px;
        background-repeat: no-repeat;
        background-position: top 0px left 0px;
    }
    div.personAdd-icon {
        display: inline-flex;
        margin-right: 2px;
        width: 17px;
        height: 15px;
        background-size: cover;
        background-image: url('/ic_fluent_person_add_20_filled.svg' );
        background-size: 17px;
        background-repeat: no-repeat;
        background-position: top 0px left 0px;
    }
    div.community-icon {
        display: inline-flex;
        margin-right: 2px;
        width: 17px;
        height: 15px;
        background-size: cover;
        background-image: url('/ic_fluent_people_community_20_filled.svg' );
        background-size: 17px;
        background-repeat: no-repeat;
        background-position: top 0px left 0px;
    }
    div.communityAdd-icon {
        display: inline-flex;
        margin-right: 2px;
        width: 17px;
        height: 15px;
        background-size: cover;
        background-image: url('/ic_fluent_people_community_add_20_filled.svg' );
        background-size: 17px;
        background-repeat: no-repeat;
        background-position: top 0px left 0px;
    }
    div.prohibited-icon {
        display: inline-flex;
        margin-right: 2px;
        width: 17px;
        height: 15px;
        background-size: cover;
        background-image: url('/ic_fluent_person_prohibited_20_filled.svg' );
        background-size: 17px;
        background-repeat: no-repeat;
        background-position: top -1px left 0px;
    }



.switch-lg .form-check-input {
    transform: scale(1.5) !important;
    margin-right: 20px !important;
}
    .switch-lg .form-check-input:not(:checked) {
        opacity: 1 !important;
        cursor: pointer;
        border-color: var(--bs-primary-bg-subtle);
        border-width:2px;
        -- background-color: var(--bs-primary-bg-subtle);
    }


img.nav-icon {
    width: 35px;
    position: absolute;
    left: 25px;
    top: 16px;
}

.nav-server-label {
    font-size: 0.6em;
    color: white;
    position: absolute;
    z-index: 1001;
    left: 70px;
    top: 15px;
}

.nav-server-name {
    font-size: 1.6em;
    font-weight: bold;
    color: white;
    position: absolute;
    left: 70px;
    top: 22px;
}

a, .btn-link {
    color: #1869A6;
}

.btn-primary {
    color: #fff;
    background-color: #1869A6 !important;
    font-size: 1.0em!important;
    border-color: #1861ac;
    height:42px!important;
}
    .btn-primary:focus, .btn-primary:hover, .btn-primary:active:focus {
        background-color: #3078AE !important;
    }

    .btn-primary:disabled {
        background-color: silver !important;
        border-color: silver !important;
    }

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.btn-danger {
    font-size: 1.0em !important;
    height: 42px !important;
}

.btn div:first-line {
    font-size: 1.0em!important;
}

.topbar {
    height:4.5rem;
    width:100%;
    position:sticky;
    z-index:1000;
    top:0px;
    left:0px;
    background-color: rgba(160,160,160);
}

.titlebar {
    color: white;
    position: fixed;
    z-index:1010;
    top:24px;
    padding-left:15px;

}
    @media (max-width: 640px) {
        .titlebar {
            position:relative;
            color: black;
            height: 2rem;
            margin-top:-8px;
            padding-left: 25px;
            padding-bottom:50px;
            border-bottom:1px solid silver;
            margin-bottom:35px;
        }
    }
    @media print {
        .titlebar {
            position: relative;
            color: black;
            height: 2rem;
            margin-top: -8px;
            padding-left: 25px;
            padding-bottom: 50px;
            border-bottom: 1px solid silver;
            margin-bottom: 35px;
        }
    }

.titlebar-title {
    font-size: 1.4em;
    margin-left: 40px;
    font-family: "Segoe UI", Arial, sans-serif;
    text-rendering: optimizelegibility;
}

.titlebar-icon-tablesearch {
    display: inline-block;
    position: absolute;
    width: 40px;
    height: 40px;
    top: -6px;
    background-size: cover;
    background-image: url('/ic_fluent_document_table_search_20_hover.svg' );
    background-size: 36px;
    background-repeat: no-repeat;
    background-position: top 0px left 0px;
}
    @media (max-width: 640px) {
        .titlebar-icon-tablesearch {
            background-image: url('/ic_fluent_document_table_search_20_filled.svg' );
            top: -2px;
            top: -2px;
        }
    }
    @media print {
        .titlebar-icon-tablesearch {
            background-image: url('/ic_fluent_document_table_search_20_filled.svg' );
            top: -2px;
            top: -2px;
        }
    }

.titlebar-icon-equipmentreport {
    display: inline-block;
    position: absolute;
    width: 30px;
    height: 30px;
    top: -2px;
    left: 22px;
    background-size: cover;
    background-image: url('/ic_fluent_document_equipment_report_20_hover.svg' );
    background-size: 28px;
    background-repeat: no-repeat;
    background-position: top 0px left 0px;
}
    @media (max-width: 640px) {
        .titlebar-icon-equipmentreport {
            background-image: url('/ic_fluent_document_equipment_report_20_filled.svg' );
            top: -2px;
            top: -2px;
        }
    }
    @media print {
        .titlebar-icon-equipmentreport {
            background-image: url('/ic_fluent_document_equipment_report_20_filled.svg' );
            top: -2px;
            top: -2px;
        }
    }


.titlebar-icon-usermanagement {
    display: inline-block;
    position: absolute;
    width: 44px;
    height: 44px;
    top: -2px;
    left: 22px;
    background-size: cover;
    background-image: url('/ic_fluent_person_circle_24_hover.svg' );
    background-size: 32px;
    background-repeat: no-repeat;
    background-position: top -1px left -2px;
}
    @media (max-width: 640px) {
        .titlebar-icon-usermanagement {
            background-image: url('/ic_fluent_person_circle_24_filled.svg' );
            top: -2px;
            top: -2px;
        }
    }
    @media print {
        .titlebar-icon-usermanagement {
            background-image: url('/ic_fluent_person_circle_24_filled.svg' );
            top: -2px;
            top: -2px;
        }
    }

.titlebar-icon-exportqueues  {
    display: inline-block;
    position: absolute;
    width: 44px;
    height: 44px;
    top: -2px;
    left: 22px;
    background-size: cover;
    background-image: url('/ic_fluent_document_export_queues_20_hover.svg' );
    background-size: 42px;
    background-repeat: no-repeat;
    background-position: top 0px left 0px;
}

@media (max-width: 640px) {
    .titlebar-icon-exportqueues  {
        background-image: url('/ic_fluent_document_export_queues_20_filled.svg' );
        top: -2px;
        top: -2px;
    }
}

@media print {
    .titlebar-icon-exportqueues  {
        background-image: url('/ic_fluent_document_export_queues_20_filled.svg' );
        top: -2px;
        top: -2px;
    }
}



.titlebar-icon-settings {
    display: inline-block;
    position: absolute;
    width: 44px;
    height: 44px;
    top: -2px;
    left: 22px;
    background-size: cover;
    background-image: url('/ic_fluent_document_settings_20_hover.svg' );
    background-size: 26px;
    background-repeat: no-repeat;
    background-position: top 3px left 0px;
}

@media (max-width: 640px) {
    .titlebar-icon-settings {
        background-image: url('/ic_fluent_document_settings_20_filled.svg' );
        top: -2px;
        top: -2px;
    }
}

@media print {
    .titlebar-icon-settings {
        background-image: url('/ic_fluent_document_settings_20_filled.svg' );
        top: -2px;
        top: -2px;
    }
}



.content {
    padding: 0px !important;
    margin: 0px !important;
    margin-left: 250px !important;
}
    @media (max-width: 640px) {
        .content {
            margin-left: 0px !important;
        }
    }
    @media print {
        .content {
            margin-left: 0px !important;
        }
    }

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

    .darker-border-checkbox.form-check-input {
        border-color: #929292;
    }

.CheckBoxList {
    width: auto;
    border-radius: 5px;
    background-color: white;
    border: 1px solid lightgray;
    padding: 15px;
    padding-top: 0px;
}

    .CheckBoxList fieldset {
    }

.CheckBoxTitle {
    margin-bottom: 3px!important;
    font-size: 0.9em;
    color: darkgray;
    margin-top: 6px;
}

.CheckBoxItem {
    display: inline-block;
    margin-right: 25px;
    margin-bottom: 2px;
    min-width: 220px
}

.page {
    margin: 0px;
    padding:0px;
    background-color:transparent;
}

.loginpage {
    background-color: black;
    background-image: url('/DM_diamond_login.svg' );
    background-size: 150%;
    background-position-y: 45%;
    background-repeat: no-repeat;
}

.loginform {
    min-width: 400px;
    width: 50vw;
    max-width: 500px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 25px;
}

.loginformInner {
    padding-right: 5px;
    background-color: white;
    max-width: 500px;
}

.btn-clear {
    border: 0px;
    background-color: transparent !important;
    position: absolute;
    right: 15px;
    top: 17px;
    width: 20px !important;
    height: 20px !important;
    background-repeat: no-repeat;
    background-image: url('data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/PjxzdmcgaGVpZ2h0PSI0OCIgdmlld0JveD0iMCAwIDQ4IDQ4IiB3aWR0aD0iNDgiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZD0iTTM4IDEyLjgzbC0yLjgzLTIuODMtMTEuMTcgMTEuMTctMTEuMTctMTEuMTctMi44MyAyLjgzIDExLjE3IDExLjE3LTExLjE3IDExLjE3IDIuODMgMi44MyAxMS4xNy0xMS4xNyAxMS4xNyAxMS4xNyAyLjgzLTIuODMtMTEuMTctMTEuMTd6Ii8+PHBhdGggZD0iTTAgMGg0OHY0OGgtNDh6IiBmaWxsPSJub25lIi8+PC9zdmc+');
    background-size: 22px;
}

.btn-find {
    border: 0px;
    background-color: transparent !important;
    position: absolute;
    right: 15px;
    top: 20px;
    width: 20px !important;
    height: 20px !important;
    background-repeat: no-repeat;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2"> <path stroke-linecap="round" stroke-linejoin="round" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z" /> </svg>');
}

select.form-select {
    background-position: right 1rem center; /* justera horisontellt/lodrätt */
    background-size: 1rem auto; /* justera storleken på pilen */
}

.gridbtn-expand {
    border: 0px;
    background-color: transparent !important;
    width: 20px !important;
    height: 20px !important;
    background-repeat: no-repeat;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2"> <path stroke-linecap="round" stroke-linejoin="round" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z" /> </svg>');
}

.gridArea {
    background: white;
    border: 1px solid silver;
    padding: 20px;
    padding-top: 5px;
    margin-bottom: 20px;
}


.linkbutton {
    background-color: transparent;
    border: 0px;
    color: #1869A6;
    text-decoration: underline;
}

.popup {
    position: absolute;
    top: -73px;
    left: 0;
    width: max(95vw,100%);
    height: max(100vh,100%);
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 9999;
    }

    .popup-inner {
        position: fixed;
        top: 50%;
        left: 50%;
        min-width: 300px;
        transform: translate(-50%, -50%);
        background: white;
        padding: 20px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        border-radius: 10px;
        z-index: 10000;
    }
        .popup-content {
            text-align: center;
        }
            .popup-content button {
                margin-top: 20px;
                background-color: #3078AE !important;
                font-size: 1em;
                color: white;
            }
                .popup-content button:focus, .popup-content button:hover, .popup-content button:active:focus {
                    background-color: #3078AE !important;
                    color: white;
                }

.form-check-input {
    cursor: pointer;
}

.form-control {
    cursor: pointer;
}

.form-readonly .form-control {
    border-color: transparent; /* tar bort ev. kant */
    cursor: default; /* ser mer "icke-redigerbar" ut */
    color: #000;
}

.form-readonly {
    position: relative;
}

    .form-readonly::after {
        content: "";
        position: absolute;
        right: 10px;
        top: 50%;
        width: 20px;
        height: 20px;
        transform: translateY(-50%);
        background-repeat: no-repeat;
        background-size: contain;
        pointer-events: none;
        background-image: url('/icon_locked.svg' );
    }

.form-readonly .form-control:focus {
    outline: none; /* ingen fokus-outline */
    box-shadow: none; /* ingen blå skugga vid fokus */
    border-color: transparent; /* ingen blå kant vid fokus */
    color: #000;
}







.password-toggle {
    position: absolute;
    right: 12px;
    top: 50%;
    width: 20px;
    height: 20px;
    transform: translateY(-50%);
    cursor: pointer;
    z-index: 5;
    background-image: url('/icon_eye.svg' );
}

